pfodParser 3.55.0 The pfodParser library is handles commands sent from the Android pfodApp, pfodApp supports WiFi, BLE, Bluetooth and SMS connections

Public Member Functions | Public Attributes | Static Public Attributes | Protected Member Functions | Protected Attributes | List of all members
pfodDwgsBase Class Reference

`#include <pfodDwgsBase.h>`

Inherited by pfodArc, pfodCircle, pfodDwgs, pfodErase, pfodHide, pfodIndex, pfodInsertDwg, pfodLabel, pfodLine, pfodRectangle, pfodTouchAction, pfodTouchActionInput, pfodTouchZone, and pfodUnhide.

## Public Member Functions
virtual void | send (char _startChar='|')
void | printFloatNumber (float f)

## Public Attributes
Print * | out

## Static Public Attributes
static const int | BLACK_WHITE = -1
static const int | BLACK = 0
static const int | MAROON = 1
static const int | GREEN = 2
static const int | OLIVE = 3
static const int | NAVY = 4
static const int | PURPLE = 5
static const int | TEAL = 6
static const int | SILVER = 7
static const int | GREY = 8
static const int | RED = 9
static const int | LIME = 10
static const int | YELLOW = 11
static const int | BLUE = 12
static const int | FUCHSIA = 13
static const int | MAGENTA = FUCHSIA
static const int | AQUA = 14
static const int | WHITE = 15
static const int | TOUCH = 0
static const int | DOWN = 1
static const int | DRAG = 2
static const int | UP = 4
static const int | CLICK = 8
static const int | PRESS = 16
static const int | ENTRY = 32
static const int | EXIT = 64
static const int | DOWN_UP = 256
static const int | TOUCH_DISABLED = 512
static const uint16_t | TOUCHED_COL = 65534
static const uint16_t | TOUCHED_ROW = 65532
static const uint16_t | TOUCHED_X = 65534
static const uint16_t | TOUCHED_Y = 65532

## Protected Member Functions
void | startText ()
void | encodeText (Print *out, uint8_t encodeOutput, const char *cPtr)
void | encodeText (Print *out, uint8_t encodeOutput, const __FlashStringHelper *ifsh)
void | encodeChar (Print *out, uint8_t encodeOutput, char c)
void | printFloat (float f)
void | printFloatDecimals (float f, int decPlaces)
void | sendColRowVars (float val)
void | printColor ()
void | printTextFormatsWithBkgndColor ()
void | printIdx ()
void | colRowOffset ()
void | colWidthHeight ()
void | initValues (struct VALUES *_valuesPtr)
| pfodDwgsBase ()
int | getAutoIdx (uint16_t &idx)

## Protected Attributes
struct VALUES * | valuesPtr

## Detailed Description

Definition at line 55 of file pfodDwgsBase.h.

## Constructor & Destructor Documentation

## ◆ pfodDwgsBase()

pfodDwgsBase::pfodDwgsBase | ( |  | ) |
| protected

## Member Function Documentation

## ◆ colRowOffset()

void pfodDwgsBase::colRowOffset | ( |  | ) |
| protected

## ◆ colWidthHeight()

void pfodDwgsBase::colWidthHeight | ( |  | ) |
| protected

## ◆ encodeChar()

void pfodDwgsBase::encodeChar | ( | Print * | out,
|  | uint8_t | encodeOutput,
|  | char | c
| ) |  |
| protected

## ◆ encodeText() [1/2]

void pfodDwgsBase::encodeText | ( | Print * | out,
|  | uint8_t | encodeOutput,
|  | const __FlashStringHelper * | ifsh
| ) |  |
| protected

## ◆ encodeText() [2/2]

void pfodDwgsBase::encodeText | ( | Print * | out,
|  | uint8_t | encodeOutput,
|  | const char * | cPtr
| ) |  |
| protected

## ◆ getAutoIdx()

int pfodDwgsBase::getAutoIdx | ( | uint16_t & | idx | ) |
| protected

## ◆ initValues()

void pfodDwgsBase::initValues | ( | struct VALUES * | _valuesPtr | ) |
| protected

## ◆ printColor()

void pfodDwgsBase::printColor | ( |  | ) |
| protected

## ◆ printFloat()

void pfodDwgsBase::printFloat | ( | float | f | ) |
| protected

## ◆ printFloatDecimals()

void pfodDwgsBase::printFloatDecimals | ( | float | f,
|  | int | decPlaces
| ) |  |
| protected

## ◆ printFloatNumber()

void pfodDwgsBase::printFloatNumber | ( | float | f | ) |

## ◆ printIdx()

void pfodDwgsBase::printIdx | ( |  | ) |
| protected

## ◆ printTextFormatsWithBkgndColor()

void pfodDwgsBase::printTextFormatsWithBkgndColor | ( |  | ) |
| protected

## ◆ send()

virtual void pfodDwgsBase::send | ( | char | _startChar = `'|'` | ) |
| virtual

Reimplemented in pfodUnhide, pfodTouchZone, pfodTouchActionInput, pfodTouchAction, pfodRectangle, pfodLine, pfodLabel, pfodInsertDwg, pfodIndex, pfodHide, pfodErase, pfodCircle, and pfodArc.

## ◆ sendColRowVars()

void pfodDwgsBase::sendColRowVars | ( | float | val | ) |
| protected

## ◆ startText()

void pfodDwgsBase::startText | ( |  | ) |
| protected

## Member Data Documentation

## ◆ AQUA

const int pfodDwgsBase::AQUA = 14
| static

Definition at line 75 of file pfodDwgsBase.h.

## ◆ BLACK

const int pfodDwgsBase::BLACK = 0
| static

Definition at line 60 of file pfodDwgsBase.h.

## ◆ BLACK_WHITE

const int pfodDwgsBase::BLACK_WHITE = -1
| static

Definition at line 59 of file pfodDwgsBase.h.

## ◆ BLUE

const int pfodDwgsBase::BLUE = 12
| static

Definition at line 72 of file pfodDwgsBase.h.

## ◆ CLICK

const int pfodDwgsBase::CLICK = 8
| static

Definition at line 82 of file pfodDwgsBase.h.

## ◆ DOWN

const int pfodDwgsBase::DOWN = 1
| static

Definition at line 79 of file pfodDwgsBase.h.

## ◆ DOWN_UP

const int pfodDwgsBase::DOWN_UP = 256
| static

Definition at line 87 of file pfodDwgsBase.h.

## ◆ DRAG

const int pfodDwgsBase::DRAG = 2
| static

Definition at line 80 of file pfodDwgsBase.h.

## ◆ ENTRY

const int pfodDwgsBase::ENTRY = 32
| static

Definition at line 84 of file pfodDwgsBase.h.

## ◆ EXIT

const int pfodDwgsBase::EXIT = 64
| static

Definition at line 85 of file pfodDwgsBase.h.

## ◆ FUCHSIA

const int pfodDwgsBase::FUCHSIA = 13
| static

Definition at line 73 of file pfodDwgsBase.h.

## ◆ GREEN

const int pfodDwgsBase::GREEN = 2
| static

Definition at line 62 of file pfodDwgsBase.h.

## ◆ GREY

const int pfodDwgsBase::GREY = 8
| static

Definition at line 68 of file pfodDwgsBase.h.

## ◆ LIME

const int pfodDwgsBase::LIME = 10
| static

Definition at line 70 of file pfodDwgsBase.h.

## ◆ MAGENTA

const int pfodDwgsBase::MAGENTA = FUCHSIA
| static

Definition at line 74 of file pfodDwgsBase.h.

## ◆ MAROON

const int pfodDwgsBase::MAROON = 1
| static

Definition at line 61 of file pfodDwgsBase.h.

## ◆ NAVY

const int pfodDwgsBase::NAVY = 4
| static

Definition at line 64 of file pfodDwgsBase.h.

## ◆ OLIVE

const int pfodDwgsBase::OLIVE = 3
| static

Definition at line 63 of file pfodDwgsBase.h.

## ◆ out

Print* pfodDwgsBase::out

Definition at line 58 of file pfodDwgsBase.h.

## ◆ PRESS

const int pfodDwgsBase::PRESS = 16
| static

Definition at line 83 of file pfodDwgsBase.h.

## ◆ PURPLE

const int pfodDwgsBase::PURPLE = 5
| static

Definition at line 65 of file pfodDwgsBase.h.

## ◆ RED

const int pfodDwgsBase::RED = 9
| static

Definition at line 69 of file pfodDwgsBase.h.

## ◆ SILVER

const int pfodDwgsBase::SILVER = 7
| static

Definition at line 67 of file pfodDwgsBase.h.

## ◆ TEAL

const int pfodDwgsBase::TEAL = 6
| static

Definition at line 66 of file pfodDwgsBase.h.

## ◆ TOUCH

const int pfodDwgsBase::TOUCH = 0
| static

Definition at line 78 of file pfodDwgsBase.h.

## ◆ TOUCH_DISABLED

const int pfodDwgsBase::TOUCH_DISABLED = 512
| static

Definition at line 88 of file pfodDwgsBase.h.

## ◆ TOUCHED_COL

const uint16_t pfodDwgsBase::TOUCHED_COL = 65534
| static

Definition at line 91 of file pfodDwgsBase.h.

## ◆ TOUCHED_ROW

const uint16_t pfodDwgsBase::TOUCHED_ROW = 65532
| static

Definition at line 92 of file pfodDwgsBase.h.

## ◆ TOUCHED_X

const uint16_t pfodDwgsBase::TOUCHED_X = 65534
| static

Definition at line 93 of file pfodDwgsBase.h.

## ◆ TOUCHED_Y

const uint16_t pfodDwgsBase::TOUCHED_Y = 65532
| static

Definition at line 94 of file pfodDwgsBase.h.

## ◆ UP

const int pfodDwgsBase::UP = 4
| static

Definition at line 81 of file pfodDwgsBase.h.

## ◆ valuesPtr

struct VALUES* pfodDwgsBase::valuesPtr
| protected

Definition at line 111 of file pfodDwgsBase.h.

## ◆ WHITE

const int pfodDwgsBase::WHITE = 15
| static

Definition at line 76 of file pfodDwgsBase.h.

## ◆ YELLOW

const int pfodDwgsBase::YELLOW = 11
| static

Definition at line 71 of file pfodDwgsBase.h.